> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-droprule.md).

# DROP RULE

### DROP RULE

DROP RULE — remove a rewrite rule

### Synopsis

```

DROP RULE [ IF EXISTS ] name ON table_name [ CASCADE | RESTRICT ]
```

### Description

`DROP RULE` drops a rewrite rule.

### Parameters

`IF EXISTS` : Do not throw an error if the rule does not exist. A notice is issued in this case.

*`name`* : The name of the rule to drop.

*`table_name`* : The name (optionally schema-qualified) of the table or view that the rule applies to.

`CASCADE` : Automatically drop objects that depend on the rule, and in turn all objects that depend on those objects (see [Section 5.15](/the-sql-language/ddl/ddl-depend.md)).

`RESTRICT` : Refuse to drop the rule if any objects depend on it. This is the default.

### Examples

To drop the rewrite rule `newrule`:

```

DROP RULE newrule ON mytable;
```

### Compatibility

`DROP RULE` is a PostgreSQL language extension, as is the entire query rewrite system.

### See Also

[CREATE RULE](/reference/sql-commands/sql-createrule.md), [ALTER RULE](/reference/sql-commands/sql-alterrule.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-droprule.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-droprule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
